Subject: Incorrect handling of __stdcall when -mregparm=3 -mrtd GCC flags are set
From: Hubert Tonneau <[email-masked]>
To: [email-masked]
Date: Wed, 16 Aug 2000 16:41:35 +0200

I compiled Pliant (http://pliant.cx/) using Cygwin GCC.
Under Linux, I use GCC 2.95 registers calling convention
(-mregparm=3 -mrtd) because it's faster, but under Windows
I cannot use it, since it makes Win32 kernel functions calls
buggy.
The reason is that __stdcall, which is used by WINAPI macro,
does not desable registers calling convention, whereas is
should since WINAPI is compiler independant.

Regards,
Hubert Tonneau

Please, cc answers to me since I have not subscribed this mailing list.

--
Want to unsubscribe from this list?
Send a message to [email-masked]